1. Invoices
gigstack API
  • Welcome to gigstack API
  • gigstack Connect API Guide
  • Migrar de API v1 a v2 de gigstack
  • Clients
    • Clients API Guide
    • List clients
      GET
    • Get client
      GET
    • Update client
      PUT
    • Create client
      POST
    • Validate client fiscal information
      POST
    • Get client customer portal access token
      POST
    • Stamp pending receipts
      POST
    • Delete client
      DELETE
    • Search clients
      GET
    • Upload CSF PDF to create or update client
      POST
    • Upload support document
      POST
    • List support documents
      GET
  • Services
    • Services API Guide
    • List services
    • Get service
    • Update service
    • Create service
    • Delete service
  • Invoices
    • Invoices API Guide
    • Income
      • List income invoices
      • Create income invoice
      • Get income invoice
    • Egress
      • List egress invoices
      • Create egress invoice
      • Get egress invoice
    • Drafts
      • Create draft invoice (pre-factura)
      • Stamp draft invoice (finalize)
      • Generate draft preview PDF (pre-factura)
      • Delete draft invoice
      • Update draft invoice
      • Get draft invoice
      • List draft invoices
    • List CFDI errors
      GET
    • List payment complement invoices
      GET
    • Get payment complement invoice
      GET
    • Get invoice files
      GET
    • Upload support document
      POST
    • List support documents
      GET
    • Cancel invoice
      DELETE
    • Search invoices
      GET
    • List SAT invoices
      GET
    • Get a SAT invoice
      GET
    • Retry XML download
      POST
    • Generate PDF for a received SAT invoice
      POST
  • Payments
    • Payments API Guide
    • List payments
    • Get payment
    • Request payment
    • Register payment
    • Mark payment as paid
    • Refund payment
    • Cancel payment
    • Search payments
    • Upload support document
    • List support documents
  • Receipts
    • Receipts API Guide
    • List receipts
    • Get receipt
    • Create receipt
    • Stamp receipt
    • Cancel receipt
    • Search receipts
  • Teams
    • Teams API Guide
    • List teams
    • Get team
    • Get team integrations
    • Get team series
    • Get team onboarding URL
    • Update team
    • Update team series
    • Update team settings
    • Create team
    • Add team member
    • Remove team member
    • Create team series
    • Upload SAT CSD certificates
    • Sign manifest document
  • Users
    • Users API Guide
    • List users
    • Get user
    • Update user
    • Create user
    • Reset user password
    • Generate login link
  • Catalogs
    • Tax Regimes Catalog (Régimen Fiscal)
    • Payment Forms | Formas de pago
    • CFDI Usage Catalog (Uso CFDI)
    • Payment Methods Catalog (Método de Pago)
    • Months and Bimesters Catalog (Meses y Bimestres)
    • Invoice Relationships Catalog (Relación entre Facturas)
  • Webhooks
    • Webhooks
    • List webhooks
    • Create webhook
    • Get webhook
    • Update webhook
    • Delete webhook
  • Retentions
    • Retentions
    • List retentions
    • Create retention
    • Get retention
    • Cancel retention
    • Get retention files
  • Descarga Masiva SAT
    • Descarga Masiva
    • Check activation status
    • Activate Descarga Masiva SAT
    • Deactivate Descarga Masiva SAT
    • Upload FIEL credentials
    • Register business with SAT (manual)
    • Get schedule configuration
    • Save schedule configuration
    • Get download request history
    • Create bulk download request
    • Check download request status
    • Download XML package
    • Get single invoice from SAT
    • Debug registration status
    • Enable SAT sync
  • Schemas
    • Schemas
      • ApiResponse
      • Category
      • Pet
      • Tag
      • Order
      • StandardizedSuccessResponse
      • StandardizedErrorResponse
      • ApiErrorCode
    • RequestBodies
      • UserArray
    • Client
    • OrderDirection
    • ApiPublicClient
    • SatInvoice
    • DateRangeFilter
    • Service
    • ListQueryParams
    • ApiPublicService
    • ClientInput
    • ServiceInput
    • PaginationMeta
    • Invoice
    • InvoiceIncomeInput
    • Payment
    • PaymentInput
    • InvoiceEgressInput
    • PaymentItem
    • InvoiceInput
    • Team
    • PaymentAllowedMethod
    • TeamInput
    • TeamSettingsInput
    • CfdiError
    • User
    • ApiPublicPaymentProcessorDetails
    • DraftInvoiceInput
    • ApiPublicPayment
    • UserInput
    • DraftInvoiceUpdateInput
    • ClientAddress
    • DraftInvoiceOutput
    • TaxSchema
    • StandardSuccessResponse
    • RequestPaymentInput
    • RegisterPaymentInput
    • ListResponse
    • ErrorResponse
    • ValidationErrorResponse
    • RefundPaymentInput
    • ApiPublicIncomeInvoice
    • UnauthorizedError
    • MarkPaymentAsPaidInput
    • ApiPublicTeam
    • NotFoundError
    • ApiPublicSearch
    • ApiPublicUser
    • InternalServerError
    • ApiPublicThirdParty
    • ApiPublicInvoiceConfig
    • ApiPublicRefund
    • TeamSettings
    • ApiPublicAutomations
    • TaxElement
    • SeriesInput
    • Series
    • ApiPublicWebhook
    • WebhookInput
    • ReceiptInput
    • WebhookUpdateInput
    • PaymentMethodEnum
    • PaymentFormEnum
    • AutomationTypeEnum
    • ItemSchema
    • SATDocument
    • UploadSupportDocumentInput
  1. Invoices

List SAT invoices

GET
https://api.gigstack.io/v2/invoices/sat
Returns invoices downloaded from SAT via Descarga Masiva. Supports filtering by direction,
status, invoice type, RFC, and date range. Uses cursor-based pagination.
Requires Descarga Masiva to be activated and at least one download request to have completed.

Request

Authorization
API Key
Add parameter in header
Authorization
Example:
Authorization: ********************
or
Query Params

Responses

🟢200OK
application/json
List of SAT invoices
Body

🟠401Unauthorized
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.gigstack.io/v2/invoices/sat?direction&status&invoice_type&issuer_rfc&receiver_rfc&from&to&limit&starting_after'
Response Response Example
{
    "success": true,
    "data": [
        {
            "id": "string",
            "uuid": "6741A863-04BE-49FE-BB76-E1657AB6B7EA",
            "direction": "issued",
            "issuer": {
                "rfc": "string",
                "name": "string"
            },
            "receiver": {
                "rfc": "string",
                "name": "string"
            },
            "invoice_type": "I",
            "series": "string",
            "folio": "string",
            "subtotal": 0,
            "total": 0,
            "currency": "MXN",
            "exchange_rate": 0,
            "issue_date": "string",
            "stamp_date": "string",
            "cancellation_date": "string",
            "status": "Vigente",
            "pac_rfc": "string",
            "version": "4.0",
            "certificate_number": "string",
            "download_request_id": "string",
            "has_xml": true,
            "created_at": 0,
            "updated_at": 0
        }
    ],
    "has_more": true,
    "next": "string",
    "count": 0
}
Modified at 2026-04-04 01:31:40
Previous
Search invoices
Next
Get a SAT invoice
Built with